Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

Ubuntu 18.04 Reicast Not launching games



  • Here is the pastebin for an updated verbose log this time trying lr-reicast instead of just reicast https://pastebin.com/embed_js/teXe8kY6

    I'm using at an old AMD Athlon II x2 220 duel core pc is a E-Machines el1352g-41w using onboard graphics

    I'd love to post whatever else info is needed I'm just not sure what other config files I should post over or how to check what versions of retropie I'm on. Thanks for the help!


  • Global Moderator

    You video driver doesn't support the OpenGL version needed by Reicast - the error is

    [INFO] Shader log: 0:1(10): error: GLSL 1.30 is not supported. Supported versions are: 1.10, 1.20, and 1.00 ES
    
    

    I see from the log that you're using the nouveau Nvidia video driver - try installing the Nvidia proprietary drivers to get better video acceleration support.



  • What's the best way of updating that driver if you don't mind me asking? When I searched online it said to use the ones listed under the Proprietary driver list but there has never been any updates there.


  • Global Moderator

    @wdcook3 When you open the Software and Updates application, do you have the option to install the Nvidia proprietary drivers ?



  • I do not, it just says "No additional drivers available"


  • Global Moderator

    @wdcook3 said in Ubuntu 18.04 Reicast Not launching games:

    I do not, it just says "No additional drivers available"

    It seems the video card on your system is no longer supported, so there are no Nvidia proprietary drivers available:

    I don't know if an upgrade to 18.10 would improve the nouveau driver to make it support OpenGL 3.x (which Reicast tries to use), but maybe Reicast can be built without OpenGL 3 support.


  • Global Moderator

    Found something similar to your problem - https://github.com/libretro/reicast-emulator/issues/203. You can re-compile Reicast and force GL2 to be used, as instructed in the issue .

    EDIT: the issue for the Libretro core, I wonder if the instructions are also working for the standalone Reicast.



  • I didn't notice on that thread how he was able to go about falling back to G2. Do I have to find the make file in HOME/retropiesetup and change HAVE_GL3 ? Thanks again for your time!


  • Global Moderator

    You'll have to modify the $HOME/RetroPie-Setup/scriptmodules/libretrocores/lr-reicast.sh and add HAVE_GL2=1 at this line. After that, reinstall the lr-reicast core and try to see if works.
    Don't forge to run

    cd $HOME/RetroPie-Setup
    git reset --hard
    

    after you do the modifications and re-compile, otherwise your setup script will not be able to update.



  • So I'm running into the same problem. The modified lr-reicast.sh did nothing but playing around with OpenGL in the terminal had some results and by some, I got Bangai-O working.. Some naomi games as well. It seems like 3D games aren't loading.

    h@h-NUC8i7BEH:~$ glxinfo | grep OpenGL
    OpenGL vendor string: Intel Open Source Technology Center
    OpenGL renderer string: Mesa DRI Intel(R) HD Graphics (Coffeelake 3x8 GT3) 
    OpenGL core profile version string: 4.5 (Core Profile) Mesa 19.1.0-devel (git-9c46046 2019-04-07 bionic-oibaf-ppa)
    OpenGL core profile shading language version string: 4.50
    OpenGL core profile context flags: (none)
    OpenGL core profile profile mask: core profile
    OpenGL core profile extensions:
    OpenGL version string: 3.0 Mesa 19.1.0-devel (git-9c46046 2019-04-07 bionic-oibaf-ppa)
    OpenGL shading language version string: 1.30
    OpenGL context flags: (none)
    OpenGL extensions:
    OpenGL ES profile version string: OpenGL ES 3.2 Mesa 19.1.0-devel (git-9c46046 2019-04-07 bionic-oibaf-ppa)
    OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
    OpenGL ES profile extensions:
    h@h-NUC8i7BEH:~$ MESA_GLSL_VERSION_OVERRIDE=110 glxinfo | grep OpenGL
    
    

    It seems to favor GLSL version string 110 from what I tried.
    This got Bangai-O working.

    I'm running from an Intel NUC 8i7BEH.



  • Tried the edit too and did not get it to launch either. Luckily I still have no problems in my 16.04 build using reicast on another computer but this is actually a slightly nicer computer so didn't think it would be much of an issue. I have the same issue with redream too, was hoping the GL issue didn't effect that one.



  • So after doing some research about the pc it looks like it has an integrated NVIDIA GeForce 6150 SE which only support up to OpenGL 1.5. I read on Redreams website has a minimum requirment of 3.1. Does it look like I'm pretty out of luck without picking up a cheap gpu for it?



  • I got it back running. It seems "DRI 3" was the culprit.
    "DRI 2" got it running but now pcsx2-unstable fps dropped to unplayable in full screen mode..
    So playing around with the 20-intel.conf for the thousandth time I decided to look at reicast libretro's source file and boom.
    There it was. Set "HAVE_GL3" to 1 and compile.
    Delete your 20-Intel.conf if you have one and reboot.

    I'm running on a NUC8i7BEH ( Intel Iris Plus Graphics 655 integrated)


Log in to reply
 

Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.